using System;
using System.Collections.Generic;
using CncModels.Dto;
using CncModels.Dto.CollectLog;
using CncModels.Entity;

namespace CncRepository.Interface
{
    /// <summary>
    /// 采集周期仓储接口
    /// </summary>
    public interface ICollectCycleRepository
    {
        PagedResult<CollectCycleListItem> GetCycleList(CollectCycleQuery query);
        long Create(CollectCycle entity);
        int DeleteBeforeDate(DateTime date);
    }
}
